Payout batches
Retrieve a Payout Batch with detailed results
Get a payout batch by its id. Returns detailed results for each item in the batch, including transfer information for successful payouts and error messages for failed ones.
Get a payout batch by its id. Returns detailed results for each item in the batch, including transfer information for successful payouts and error messages for failed ones.
Authorization
api_key AuthorizationBasic <token>
In: header
Path Parameters
payout_batch_id*string
Id of the payout batch to fetch
Format
uuidQuery Parameters
include_request?boolean
Include the original request data for each item in the response. This can be useful for debugging or reconciliation.
Default
falseResponse Body
application/json
curl -X GET "https://example.com/v2/payout-batches/497f6eca-6276-4993-bfeb-53cbbbba6f08/results"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58", "status": "created", "metadata": "string", "items": [ { "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58", "metadata": "string", "transfer": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "created" }, "error_code": "string", "error_message": "string", "request": { "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "amount": 1, "platform": "paypal", "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65", "fund": true, "tax_exempt": true, "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58", "metadata": "string", "payout_fee_party": "user" } } ]}